diff --git a/buildroot/share/git/mfqp b/buildroot/share/git/mfqp
index 59f06997731317da61f7cf4a55303eb7a5e45645..5650d08252a2193aa72bdaf9c708fce40be4af3d 100755
--- a/buildroot/share/git/mfqp
+++ b/buildroot/share/git/mfqp
@@ -1,8 +1,10 @@
 #!/usr/bin/env bash
 #
-# mfqp [-q|--quick] [1|2|3]
+# mfqp [1|2|3]
 #
-# Add all changed files, commit as "patch", do `mfrb` and `git push -f`
+#  - git add .
+#  - git commit --amend
+#  - ghpc
 #
 
 MFINFO=$(mfinfo "$@") || exit 1
@@ -15,26 +17,14 @@ IND=6
 while [ $IND -lt ${#INFO[@]} ]; do
   ARG=${INFO[$IND]}
   case "$ARG" in
-    -q|--quick ) QUICK="-q" ;;
      -h|--help ) USAGE=1 ;;
              * ) USAGE=1 ; echo "unknown option: $ARG" ;;
   esac
   let IND+=1
 done
 
-[[ ${INFO[4]} =~ [0-9] ]] && USAGE=1
+[[ $USAGE == 1 ]] && { echo "usage: `basename $0` [1|2|3]" 1>&2 ; exit 1 ; }
 
-[[ $USAGE == 1 ]] && { echo "usage: `basename $0` [-hq] [1|2|3]" 1>&2 ; exit 1 ; }
+[[ $CURR == $TARG && $REPO != "MarlinDocumentation" ]] && { echo "Don't alter the PR Target branch."; exit 1 ; }
 
-git add .
-git commit -m "patch"
-
-if [[ $CURR == $TARG ]]; then
-  if [[ $REPO == "MarlinDocumentation" ]]; then
-    git rebase -i HEAD~2 && git push -f
-  else
-    echo "Don't alter the PR Target branch."; exit 1
-  fi
-else
-  mfrb $QUICK "$@" && git push -f
-fi
+git add . && git commit --amend && git push -f